Update to 1.13

Bug #1699005 reported by Robert Ancell on 2017-06-20
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
snapd-glib (Ubuntu)
Wishlist
Unassigned
Xenial
Wishlist
Robert Ancell
Yakkety
Wishlist
Unassigned
Zesty
Wishlist
Robert Ancell

Bug Description

[Impact]
Older versions of Ubuntu are running older versions of snapd-glib. There have since been bug fixes and support for newer API that was added to snapd since release.

[Test Case]
1. Delete existing Snap credentials by deleting keys com.ubuntu.UbuntuOne.GnomeSoftware in Seahorse.
2. Start GNOME Software
3. Install a snap (e.g. moon-buggy)

Expected result:
User is prompted for Ubuntu credentials and is able to install snap.

Observed result:
Works as expected (i.e. only looking for regressions).

[Regression Potential]
There is a risk of breaking existing use cases. This is reduced by the regression tests in the package and the newer versions of snapd-glib working in newer releases.

Robert Ancell (robert-ancell) wrote :

Marking Yakkety as "Won't Fix" since it's about to go EOL.

Changed in snapd-glib (Ubuntu Yakkety):
status: New → Won't Fix
importance: Undecided → Wishlist
Changed in snapd-glib (Ubuntu Zesty):
importance: Undecided → Wishlist
Changed in snapd-glib (Ubuntu Xenial):
importance: Undecided → Wishlist
Changed in snapd-glib (Ubuntu):
status: New → Fix Released
importance: Undecided → Wishlist
Changed in snapd-glib (Ubuntu Zesty):
status: New → Triaged
Changed in snapd-glib (Ubuntu Xenial):
status: New → In Progress
Changed in snapd-glib (Ubuntu Zesty):
status: Triaged → In Progress
Changed in snapd-glib (Ubuntu Xenial):
assignee: nobody → Robert Ancell (robert-ancell)
Changed in snapd-glib (Ubuntu Zesty):
assignee: nobody → Robert Ancell (robert-ancell)
Martin Wimpress (flexiondotorg) wrote :

The Ubuntu MATE team are adding snap support to the Software Boutique with the assistance of Robert Ancell. Everything works correctly on Ubuntu MATE 17.10 daily but we encounter various issues on 16.04, such as snap installs timing out part way through and not reporting the correct snap status.

We've built snapd-glib 1.13 in a PPA for 16.04 and it resolves all the issues we've encountered.

Robert Ancell (robert-ancell) wrote :

This should also fix the Polkit prompts being wrongly translated (bug 1700764).

Hello Robert, or anyone else affected,

Accepted snapd-glib into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd-glib/1.13-0ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in snapd-glib (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-xenial
description: updated
Chris Halse Rogers (raof) wrote :

Hello Robert, or anyone else affected,

Accepted snapd-glib into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd-glib/1.13-0ubuntu0.17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in snapd-glib (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed-zesty
Andrea Azzarone (azzar1) wrote :

It works as expected in Xenial.

tags: removed: verification-needed-xenial
Andrea Azzarone (azzar1) wrote :

It works as expected in Zesty too.

tags: added: verification-done-xenial
tags: added: verification-done verification-done-zesty
removed: verification-needed verification-needed-zesty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd-glib - 1.13-0ubuntu0.17.04.1

---------------
snapd-glib (1.13-0ubuntu0.17.04.1) zesty; urgency=medium

  * New upstream release: (LP: #1699005)
    - New API:
      - snapd_client_install2_async
      - snapd_client_install2_finish
      - snapd_client_install2_sync
      - snapd_snap_get_contact
      - snapd_system_information_get_binaries_directory
      - snapd_system_information_get_kernel_version
      - snapd_system_information_get_mount_directory
    - Deprecated API:
      - snapd_client_install_async
      - snapd_client_install_finish
      - snapd_client_install_sync
    - Fix calls not working inside threads.
    - Fix reference counting error when calling snapd_client_get_interfaces and
      snapd_client_create_user.
  * debian/control:
    - Set minimum dependency versions
    - Update Vcs-Bzr
  * debian/libsnapd-glib1.symbols:
  * debian/libsnapd-qt1.symbols:
    - Updated

 -- Robert Ancell <email address hidden> Tue, 20 Jun 2017 15:42:33 +1200

Changed in snapd-glib (Ubuntu Zesty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for snapd-glib has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers